# $Revision: 1.13 $, $Date: 2007-11-11 21:34:45 $
Summary:	RRA - SynCE synchronization application
Summary(pl.UTF-8):	RRA - aplikacja SynCE do synchronizacji
Name:		synce-rra
Version:	0.10.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	6d6de7637d59bddd52f5b656fad4abd2
Patch0:		%{name}-libmimedir.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libmimedir-vlm-devel
BuildRequires:	libtool
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	synce-librapi2-devel >= 0.10.0
BuildRequires:	synce-libsynce-devel >= 0.10.0
Requires:	synce-librapi2 >= 0.10.0
Requires:	synce-libsynce >= 0.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RRA is a synchronization application, a part of the SynCE project.

The purpose of the SynCE project is to provide a means of
communication with a Windows CE device from a computer running Linux,
FreeBSD or a similar operating system.

%description -l pl.UTF-8
RRA to aplikacja do synchronizacji będąca częścią projektu SynCE.

Celem projektu SynCE jest dostarczenie środków do komunikacji z
urządzeniami opartymi na Windows CE z komputera z Linuksem, FreeBSD
lub podobnym systemem operacyjnym.

%package devel
Summary:	Header files for RRA library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki RRA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmimedir-vlm-devel
Requires:	synce-librapi2-devel >= 0.10.0
Requires:	synce-libsynce-devel >= 0.10.0

%description devel
Header files for RRA library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki RRA.

%package static
Summary:	Static RRA library
Summary(pl.UTF-8):	Statyczna biblioteka RRA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static RRA library.

%description static -l pl.UTF-8
Statyczna biblioteka RRA.

%package -n python-pyrra
Summary:	Python binding for RRA library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki RRA
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-pyrra
Python binding for RRA library.

%description -n python-pyrra -l pl.UTF-8
Wiązanie Pythona do biblioteki RRA.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/pyrra.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/librra.so.*.*.*
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%doc lib/README
%attr(755,root,root) %{_libdir}/librra.so
%{_libdir}/librra.la
%{_includedir}/rra
%{_pkgconfigdir}/librra.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librra.a

%files -n python-pyrra
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/pyrra.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-rra.spec,v $
Revision 1.13  2007-11-11 21:34:45  glen
- rel 1

Revision 1.12  2007-09-02 16:48:22  qboosh
- added python-pyrra

Revision 1.11  2007/08/29 21:13:02  glen
- update to 0.10.0

Revision 1.10  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.8  2006/12/12 17:04:08  glen
- clear EA list; rel 4

Revision 1.7  2006/12/11 21:50:32  glen
- remove %{x8664} from EA list due: synce-librapi2.spec: (qboosh) it seems that
  0.9.1 fixes 64-bit problems

Revision 1.6  2006/12/11 21:30:01  glen
- new URL

Revision 1.5  2006/07/04 09:25:39  glen
- updated synce version deps; rel 2

Revision 1.4  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.3  2005/05/11 14:40:56  qboosh
- updated 64-bit archs list

Revision 1.2  2004/12/26 01:59:32  qboosh
- librapi2 is not ready for 64-bit pointers :/

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
